# ``twisted`.`web`.`_template_util`.`_TagFactory``

class documentation

`class _TagFactory: (source)`

View In Hierarchy

A factory for `Tag` objects; the implementation of the `tags` object.

This allows for the syntactic convenience of `from twisted.web.html import tags; tags.a(href="linked-page.html")`, where 'a' can be basically any HTML tag.

The class is not exposed publicly because you only ever need one of these, and we already made it for you.

See Also
`tags`

Method | `__getattr__` | Undocumented

def __getattr__(self, tagName): (source)

Undocumented

Parameters
tagName:`str` | Undocumented
Returns
`Tag` | Undocumented